当前位置:论坛首页 > Linux面板 > 求助

【已解答】composer出现问题

发表在 Linux面板4 天前 [复制链接] 2 30

在修复面板后重启服务器,执行Composer自定义命令时出现以下问题
  1. <blockquote>/var/tmp/sclWIf6vZ: line 8: -u: command not found
复制代码
原命令
  1. composer create-project flarum/flarum .
复制代码


使用道具 举报 只看该作者 回复
发表于 4 天前 | 显示全部楼层
您好,执行您提供的命令可以正常安装,没有提示错误。您那边检查下提示错误文件第8行看下
2.png
使用道具 举报 回复 支持 反对
发表于 4 天前 | 显示全部楼层
谢花郎 发表于 2022-5-14 19:47
您好,执行您提供的命令可以正常安装,没有提示错误。您那边检查下提示错误文件第8行看下 ...

目前这个问题发现在 sudo 上,暂时已解决,但在宝塔里执行命令时出现另一个问题:
  1. - intervention/image[2.5.0, 2.5.1, 2.6.1, 2.7.0, 2.7.1] require ext-fileinfo * -> it is missing from your system. Install or enable PHP's fileinfo extension.
复制代码
选择 PHP7.4 后仍然如此,但在 7.4 中已安装 fileinfo 模块,命令行中也能检查到此模块,尝试过修复面板、重启面板和服务器,重装模块,依然未解决

使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表